package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.TcZclds;

import java.util.List;

/**
 * 众测漏洞数(tc_zclds)表数据处理层
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcZcldsMapper
{
    /**
     * 查询众测漏洞数排名
     *
     * @param id 众测漏洞数排名主键
     * @return 众测漏洞数排名
     */
    public TcZclds getById(Long id);

    /**
     * 查询众测漏洞数排名列表
     *
     * @param tcBmtb 众测漏洞数排名
     * @return 众测漏洞数排名集合
     */
    public List<TcZclds> page(TcZclds tcBmtb);

    /**
     * 新增众测漏洞数排名
     *
     * @param tcBmtb 众测漏洞数排名
     * @return 结果
     */
    public int insert(TcZclds tcBmtb);

    /**
     * 修改众测漏洞数排名
     *
     * @param tcBmtb 众测漏洞数排名
     * @return 结果
     */
    public int update(TcZclds tcBmtb);

    /**
     * 删除众测漏洞数排名
     *
     * @param id 众测漏洞数排名主键
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除众测漏洞数排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIds(Long[] ids);
}
