package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcZczccg;

import java.util.List;

/**
 * 众测资产成果(tc_zczccg)表业务层
 *
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcZczccgService {
    /**
     * 查询众测资产成果
     *
     * @param id 众测资产成果主键
     * @return 众测资产成果
     */
    TcZczccg getById(Long id);

    /**
     * 查询众测资产成果列表
     *
     * @param tc 众测资产成果
     * @return 众测资产成果集合
     */
    List<TcZczccg> page(TcZczccg tc);

    /**
     * 新增众测资产成果
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    int insert(TcZczccg tc);

    /**
     * 修改众测资产成果
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    int update(TcZczccg tc);

    /**
     * 批量删除众测资产成果
     *
     * @param ids 需要删除的众测资产成果主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 删除众测资产成果信息
     *
     * @param id 众测资产成果主键
     * @return 结果
     */
    int deleteById(Long id);

    String importUser(List<TcZczccg> tcZbxqList);

    /**
     * 大屏查询众测资产成果最新一条
     */
    TcZczccg getOne();
}
